GNU bug report logs - #36480
26.2; Using a sh-basic-offset value with a multiple of tab-width has side effects when building function using “C-c (”

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Phoenix <gnu@HIDDEN>; Keywords: confirmed; dated Tue, 2 Jul 2019 19:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36480 <at> debbugs.gnu.org:


Received: (at 36480) by debbugs.gnu.org; 11 Jul 2019 13:58:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 09:58:22 2019
Received: from localhost ([127.0.0.1]:38253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlZaY-0007p2-Aq
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 09:58:22 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hlZaW-0007ou-TG
 for 36480 <at> debbugs.gnu.org; Thu, 11 Jul 2019 09:58:21 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hlZaQ-0004AK-O8; Thu, 11 Jul 2019 15:58:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Phoenix <gnu@HIDDEN>
Subject: Re: bug#36480: 26.2; Using a sh-basic-offset value with a multiple
 of tab-width has side effects when building function using =?utf-8?B?4oCc?=
 =?utf-8?B?Qy1jICjigJ0=?=
References: <b0bb2484a7d66653e688be7080c3ca59a1318856.camel@HIDDEN>
 <87v9wc1af7.fsf@HIDDEN>
 <1c85038421b9a95d97a4d707a7dd03833273cf48.camel@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEUTBw9zPz9SJy0xFR0B
 AAPQiX8FAQaWYcGaAAACbklEQVQ4jVWTTY/aMBCGB4x8xo5yx7a25+Dp7hm1lu9hlbt3ieb//4S+
 4wTaWsBhHt75HlpFpBa8Kv89KiLry77Wf0G3l0piG63d+LED9XRjvKOz8oDR7q4UGJNyuvqLbTC2
 Dmqzp1JiZs4x+omsNKW0FrnYUthw9j56lyyRPUsjKVCuQpxydM47Z8mazw5WzZLgCv8H+iA5GkKC
 pUipJzLMYXb3GD+aHOgJyto4xHFZFp9RxIGaBn+spa6P7JyC2V1e4AhgTdjA4s9WDkbU1eFU6o/j
 bl/8QHKYNvCz3C7XF/AAbHfF7ePdhQ3McZJDEtLgyEuCD8sG+Gy/tHxElnWtzucwziNUPNjv2F1h
 FmuNSQtMCDUB8A7gKzO6fs8hBgKgJ6jEPPF1Di57wkxaB/WB5mY0t4e/mz6RHvz7JBUdcUgJn4uZ
 5DF1cFSAlLZ0BzPI46LgZlapvNe3zGeA73NXNDlVfkrmMwrZFFph5TS6613BhSeE7grCBpkhOI4A
 w8QT7cBCYSJqU18Dv0DRrXz4nHsd6QlkA0fHqBwhpico5TfpVl6Zx2UePf919UsBpsZvWIWEjXwq
 bjuY3pc5aPcTzAZAOvhKiOFCigBwxrTFlnY4GzQypGuKA4DRbe+XZT4p+wjgHRJQsJ1d835C3JAC
 QEx/FS1h3Tk6gOBi5A00K1h2Y3JwcAXgBu5A04OcgvObwjnNqjYcB84JFShAmyOUGpxID9Mlxj3h
 q+NX0NRRQtO9hgCIbzN+CP9HnR1EN8foFv+mq01Nu8mJI96oZzsPOhdPOabJoHWwB3UexvtVR09R
 TQpQnb443nX0yx+sc/ADNfhj2wAAAABJRU5ErkJggg==
Date: Thu, 11 Jul 2019 15:58:14 +0200
In-Reply-To: <1c85038421b9a95d97a4d707a7dd03833273cf48.camel@HIDDEN>
 (Phoenix's message of "Wed, 10 Jul 2019 19:24:43 +0200")
Message-ID: <m37e8ozn9l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  (Please keep the debbugs email address in the Cc; otherwise
 the bug tracker won't receive the email.) Phoenix <gnu@HIDDEN> writes:
 > Since you are getting different results, I wonder what is different on
 > your version then? I ask as two people could apparently reproduce it > and
 I do not use anything special. Just the package av [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36480
Cc: 36480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(Please keep the debbugs email address in the Cc; otherwise the
bug tracker won't receive the email.)

Phoenix <gnu@HIDDEN> writes:

> Since you are getting different results, I wonder what is different on
> your version then? I ask as two people could apparently reproduce it
> and I do not use anything special. Just the package available to
> Fedora 30 (not compiled from source).

I'm using the current development Emacs (i.e., Emacs 27).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36480; Package emacs. Full text available.

Message received at 36480 <at> debbugs.gnu.org:


Received: (at 36480) by debbugs.gnu.org; 8 Jul 2019 21:30:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 17:30:42 2019
Received: from localhost ([127.0.0.1]:59755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkbDe-0007OZ-8y
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 17:30:42 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkbDc-0007MG-Ei
 for 36480 <at> debbugs.gnu.org; Mon, 08 Jul 2019 17:30:41 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkbDZ-0005Mu-2c; Mon, 08 Jul 2019 23:30:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Phoenix <gnu@HIDDEN>
Subject: Re: bug#36480: 26.2; Using a sh-basic-offset value with a multiple
 of tab-width has side effects when building function using =?utf-8?B?4oCc?=
 =?utf-8?B?Qy1jICjigJ0=?=
References: <b0bb2484a7d66653e688be7080c3ca59a1318856.camel@HIDDEN>
Date: Mon, 08 Jul 2019 23:30:36 +0200
In-Reply-To: <b0bb2484a7d66653e688be7080c3ca59a1318856.camel@HIDDEN>
 (Phoenix's message of "Tue, 02 Jul 2019 20:53:10 +0200")
Message-ID: <87v9wc1af7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Phoenix <gnu@HIDDEN> writes: > When using a multiple
 of the "tab-width" value for "sh-basic-offset", > creating a function using
 the built-in command "C-c (" removes > characters from the expected result.
 That being said, I can c [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36480
Cc: 36480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Phoenix <gnu@HIDDEN> writes:

> When using a multiple of the "tab-width" value for "sh-basic-offset",
> creating a function using the built-in command "C-c (" removes
> characters from the expected result. That being said, I can create a
> shell function by manually typing it. It is just this built-in
> command, which causes odd behavior.
>
> When "tab-width" and/or "sh-basic-offset" are not set inside the
> ".emacs" file or the latter is not a multiple of the former, it works
> as expected.

I was not able to reproduce it with the recipe above, and it's strange
that that should have any effect -- `tab-width' is automatically
buffer-local.

But I'm able to reproduce it with "emacs -Q /tmp/a.sh" and then
`M-: (setq tab-width 4 sh-basic-offset 4) RET'.

> Here are the tests I did:
> In the below examples I use "asdf" as the function name and the pipe character ("|") is the visualization of where point is located after I completed the built-in command.
>
> With either variables not defined or not a multiple of one another, the (default) result is:
> function asdf() {
>     |
> }
>
> With both set to 4, the result is:
> function asdf() {}|
>
> With tab-width set to 4 and sh-basic-offset to 8, the result is:
> function asdf()}|
>
> With both set to 8, the result is:
> function asdf}|
>
> With both set to 16 (just for a test), the result is (semantically a rather amusing):
> fu}|

I don't get exactly what you're getting, but I'm getting something very
close to it.  For instance, with 16, the buffer becomes completely blank.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36480; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2019 19:21:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 15:21:18 2019
Received: from localhost ([127.0.0.1]:47969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiOL7-0006Pf-U7
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 15:21:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:39142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu@HIDDEN>) id 1hiNub-0001SD-Qk
 for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 14:53:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40157)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <gnu@HIDDEN>) id 1hiNuU-0001Id-9X
 for bug-gnu-emacs@HIDDEN; Tue, 02 Jul 2019 14:53:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gnu@HIDDEN>) id 1hiNuN-0007gT-Me
 for bug-gnu-emacs@HIDDEN; Tue, 02 Jul 2019 14:53:43 -0400
Received: from v-smtpout3.han.skanova.net ([81.236.60.156]:49071)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gnu@HIDDEN>) id 1hiNuI-0007X8-Qn
 for bug-gnu-emacs@HIDDEN; Tue, 02 Jul 2019 14:53:36 -0400
Received: from ssl.phx-home.net ([90.224.180.50]) by cmsmtp with ESMTP
 id iNtvhcVVgXLfmiNtvhua5f; Tue, 02 Jul 2019 20:53:13 +0200
Received: from phxpro.phx-home.net (phxpro.phx-home.net [192.168.100.9])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by ssl.phx-home.net (Postfix) with ESMTPSA id 6F1AB202494A
 for <bug-gnu-emacs@HIDDEN>; Tue,  2 Jul 2019 20:53:11 +0200 (CEST)
Message-ID: <b0bb2484a7d66653e688be7080c3ca59a1318856.camel@HIDDEN>
Subject: 26.2; Using a sh-basic-offset value with a multiple of tab-width
 has side effects when building function using =?UTF-8?Q?=E2=80=9CC-c?=
 =?UTF-8?Q?_=28=E2=80=9D?=
From: Phoenix <gnu@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="=-7/TYRrVaqcFct9L3i5Xl"
Date: Tue, 02 Jul 2019 20:53:10 +0200
MIME-Version: 1.0
User-Agent: Evolution 3.32.3 (3.32.3-1.fc30) 
X-CMAE-Envelope: MS4wfFlX8jAmN89E1TKHHqyVaBi8qMgbF7N3d7G0unK4aIwXoyxR9hv+Lbt5/L6OBwtMbOwJJgQMVBQEEeWKSZ6wKuE2hN6dBT01MTEY0mXKmV6MGJXV2+aM
 FLTXBF82WgVt/hSqFgpY1BUfHsnS4ijCUYBW3hLg/atgtFpA3w2/MZhu
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-Received-From: 81.236.60.156
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 02 Jul 2019 15:21:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--=-7/TYRrVaqcFct9L3i5Xl
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

The issue had been reported to the Emacs StackExchange group using
thefollowing description.  A commentator could replicate it.-----------
-----------------------------------------------------------When using a
multiple of the "tab-width" value for "sh-basic-offset", creating a
function using the built-in command "C-c (" removes characters from the
expected result. That being said, I can create a shell function by
manually typing it. It is just this built-in command, which causes odd
behavior.
When "tab-width" and/or "sh-basic-offset" are not set inside the
".emacs" file or the latter is not a multiple of the former, it works
as expected.
Here are the tests I did:In the below examples I use "asdf" as the
function name and the pipe character ("|") is the visualization of
where point is located after I completed the built-in command.
With either variables not defined or not a multiple of one another, the
(default) result is:function asdf() {    |}
With both set to 4, the result is:function asdf() {}|
With tab-width set to 4 and sh-basic-offset to 8, the result
is:function asdf()}|
With both set to 8, the result is:function asdf}|
With both set to 16 (just for a test), the result is (semantically a
rather amusing):fu}|
Is this a bug or do I need to set another variable to a certain value
for it to work? I at least tried the variables stated in this question,
but they did not have any effect at all for this issue.--------------
--------------------------------------------------------Source: 
https://emacs.stackexchange.com/q/51324/23319

In GNU Emacs 26.2 (build 1, x86_64-redhat-linux-gnu, GTK+ Version
3.24.8) of 2019-04-30 built on buildvm-
06.phx2.fedoraproject.orgWindowing system distributor 'Fedora Project',
version 11.0.12005000Recent messages:Loading /usr/share/emacs/site-
lisp/site-start.d/autoconf-init.el (source)...doneLoading
/usr/share/emacs/site-lisp/site-start.d/desktop-entry-mode-init.el
(source)...doneLoading time...doneLoading elec-pair...doneLoading
display-line-numbers...doneLoading paren...doneFor information about
GNU Emacs and the GNU system, type C-h C-a.
Configured using: 'configure --build=x86_64-redhat-linux-gnu --
host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-
tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --
sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --
includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec
--localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man
--infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png 
--with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3 --
with-gpm=no --with-xwidgets --with-modules build_alias=x86_64-redhat-
linux-gnu host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF
-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
-Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong
-grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic
-fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'
LDFLAGS=-Wl,-z,relro
PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'
Configured features:XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS
GSETTINGS GLIB NOTIFYACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT
LIBOTF XFT ZLIBTOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS
XWIDGETS LCMS2
Important settings:  value of $LC_COLLATE: C  value of $LC_NUMERIC:
en_US  value of $LANG: en_US.UTF-8  value of $XMODIFIERS:
@im=ibus  locale-coding-system: utf-8-unix
Major mode: Lisp Interaction
Minor modes in effect:  show-paren-mode: t  global-display-line-
numbers-mode: t  display-line-numbers-mode: t  electric-pair-mode:
t  display-time-mode: t  tooltip-mode: t  global-eldoc-mode: t  eldoc-
mode: t  electric-indent-mode: t  mouse-wheel-mode: t  tool-bar-mode:
t  menu-bar-mode: t  file-name-shadow-mode: t  global-font-lock-mode:
t  font-lock-mode: t  blink-cursor-mode: t  auto-composition-mode:
t  auto-encryption-mode: t  auto-compression-mode: t  column-number-
mode: t  line-number-mode: t  transient-mark-mode: t
Load-path shadows:None found.
Features:(shadow sort mail-extr emacsbug message rmc puny dired dired-
loaddefsformat-spec rfc822 mml mml-sec epa epg gnus-util rmail rmail-
loaddefsmm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utilsmailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-
prsvrmail-utils php-mode advice derived rx edmacro kmacro php-
projectmode-local find-func imenu speedbar sb-image ezimage dframe
etags xrefproject flymake-proc flymake compile comint ansi-color ring
warningsthingatpt add-log cc-langs cc-mode cc-fonts cc-guess cc-menus
cc-cmdscc-styles cc-align cc-engine cc-vars cc-defs light-blue-theme
parendisplay-line-numbers elec-pair time cus-start cus-load finder-
infpackage easymenu epg-config url-handlers url-parse auth-source cl-
seqeieio eieio-core cl-macs eieio-loaddefs password-cache url-vars
seqbyte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib time-
datemule-util tooltip eldoc electric uniquify ediff-hook vc-hookslisp-
float-type mwheel term/x-win x-win term/common-win x-dnd tool-bardnd
fontset image regexp-opt fringe tabulated-list replace newcommenttext-
mode elisp-mode lisp-mode prog-mode register page menu-barrfn-eshadow
isearch timer select scroll-bar mouse jit-lock font-locksyntax facemenu
font-core term/tty-colors frame cl-generic cham georgianutf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao koreanjapanese eucjp-ms
cp51932 hebrew greek romanian slovak czech europeanethiopic indian
cyrillic chinese composite charscript charpropcase-table epa-hook jka-
cmpr-hook help simple abbrev obarray minibuffercl-preloaded nadvice
loaddefs button faces cus-face macroexp filestext-properties overlay
sha1 md5 base64 format env code-pages mulecustom widget hashtable-
print-readable backquote threads dbusbindinotify lcms2 dynamic-setting
system-font-setting font-render-settingxwidget-internal move-toolbar
gtk x-toolkit x multi-ttymake-network-process emacs)
Memory information:((conses 16 167620 9490) (symbols 48 27914 1) (miscs
40 66 106) (strings 32 49620 2522) (string-bytes 1 1461299) (vectors 16
23554) (vector-slots 8 605402 9260) (floats 8 56 61) (intervals 56 307
0) (buffers 992 11))

--=-7/TYRrVaqcFct9L3i5Xl
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html dir=3D"ltr"><head></head><body style=3D"text-align:left; direction:lt=
r;"><pre>The issue had been reported to the Emacs StackExchange group using=
 the</pre><pre>following description.  A commentator could replicate it.</p=
re><pre>-------------------------------------------------------------------=
---</pre><pre>When using a multiple of the "tab-width" value for "sh-basic-=
offset", creating a function using the built-in command "C-c (" removes cha=
racters from the expected result. That being said, I can create a shell fun=
ction by manually typing it. It is just this built-in command, which causes=
 odd behavior.</pre><pre><br></pre><pre>When "tab-width" and/or "sh-basic-o=
ffset" are not set inside the ".emacs" file or the latter is not a multiple=
 of the former, it works as expected.</pre><pre><br></pre><pre>Here are the=
 tests I did:</pre><pre>In the below examples I use "asdf" as the function =
name and the pipe character ("|") is the visualization of where point is lo=
cated after I completed the built-in command.</pre><pre><br></pre><pre>With=
 either variables not defined or not a multiple of one another, the (defaul=
t) result is:</pre><pre>function asdf() {</pre><pre>    |</pre><pre>}</pre>=
<pre><br></pre><pre>With both set to 4, the result is:</pre><pre>function a=
sdf() {}|</pre><pre><br></pre><pre>With tab-width set to 4 and sh-basic-off=
set to 8, the result is:</pre><pre>function asdf()}|</pre><pre><br></pre><p=
re>With both set to 8, the result is:</pre><pre>function asdf}|</pre><pre><=
br></pre><pre>With both set to 16 (just for a test), the result is (semanti=
cally a rather amusing):</pre><pre>fu}|</pre><pre><br></pre><pre>Is this a =
bug or do I need to set another variable to a certain value for it to work?=
 I at least tried the variables stated in this question, but they did not h=
ave any effect at all for this issue.</pre><pre>---------------------------=
-------------------------------------------</pre><pre>Source: </pre><a href=
=3D"https://emacs.stackexchange.com/q/51324/23319"><pre>https://emacs.stack=
exchange.com/q/51324/23319</pre></a><pre><br></pre><pre><br></pre><pre><br>=
</pre><pre>In GNU Emacs 26.2 (build 1, x86_64-redhat-linux-gnu, GTK+ Versio=
n 3.24.8)</pre><pre> of 2019-04-30 built on buildvm-06.phx2.fedoraproject.o=
rg</pre><pre>Windowing system distributor 'Fedora Project', version 11.0.12=
005000</pre><pre>Recent messages:</pre><pre>Loading /usr/share/emacs/site-l=
isp/site-start.d/autoconf-init.el (source)...done</pre><pre>Loading /usr/sh=
are/emacs/site-lisp/site-start.d/desktop-entry-mode-init.el (source)...done=
</pre><pre>Loading time...done</pre><pre>Loading elec-pair...done</pre><pre=
>Loading display-line-numbers...done</pre><pre>Loading paren...done</pre><p=
re>For information about GNU Emacs and the GNU system, type C-h C-a.</pre><=
pre><br></pre><pre>Configured using:</pre><pre> 'configure --build=3Dx86_64=
-redhat-linux-gnu</pre><pre> --host=3Dx86_64-redhat-linux-gnu --program-pre=
fix=3D</pre><pre> --disable-dependency-tracking --prefix=3D/usr --exec-pref=
ix=3D/usr</pre><pre> --bindir=3D/usr/bin --sbindir=3D/usr/sbin --sysconfdir=
=3D/etc</pre><pre> --datadir=3D/usr/share --includedir=3D/usr/include --lib=
dir=3D/usr/lib64</pre><pre> --libexecdir=3D/usr/libexec --localstatedir=3D/=
var</pre><pre> --sharedstatedir=3D/var/lib --mandir=3D/usr/share/man</pre><=
pre> --infodir=3D/usr/share/info --with-dbus --with-gif --with-jpeg --with-=
png</pre><pre> --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolk=
it=3Dgtk3</pre><pre> --with-gpm=3Dno --with-xwidgets --with-modules</pre><p=
re> build_alias=3Dx86_64-redhat-linux-gnu host_alias=3Dx86_64-redhat-linux-=
gnu</pre><pre> 'CFLAGS=3D-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Werror=3Dform=
at-security</pre><pre> -Wp,-D_FORTIFY_SOURCE=3D2 -Wp,-D_GLIBCXX_ASSERTIONS =
-fexceptions</pre><pre> -fstack-protector-strong -grecord-gcc-switches</pre=
><pre> -specs=3D/usr/lib/rpm/redhat/redhat-hardened-cc1</pre><pre> -specs=
=3D/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=3Dgeneric</pre><pre> =
-fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'</pre=
><pre> LDFLAGS=3D-Wl,-z,relro</pre><pre> PKG_CONFIG_PATH=3D:/usr/lib64/pkgc=
onfig:/usr/share/pkgconfig'</pre><pre><br></pre><pre>Configured features:</=
pre><pre>XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB N=
OTIFY</pre><pre>ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT =
ZLIB</pre><pre>TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGE=
TS LCMS2</pre><pre><br></pre><pre>Important settings:</pre><pre>  value of =
$LC_COLLATE: C</pre><pre>  value of $LC_NUMERIC: en_US</pre><pre>  value of=
 $LANG: en_US.UTF-8</pre><pre>  value of $XMODIFIERS: @im=3Dibus</pre><pre>=
  locale-coding-system: utf-8-unix</pre><pre><br></pre><pre>Major mode: Lis=
p Interaction</pre><pre><br></pre><pre>Minor modes in effect:</pre><pre>  s=
how-paren-mode: t</pre><pre>  global-display-line-numbers-mode: t</pre><pre=
>  display-line-numbers-mode: t</pre><pre>  electric-pair-mode: t</pre><pre=
>  display-time-mode: t</pre><pre>  tooltip-mode: t</pre><pre>  global-eldo=
c-mode: t</pre><pre>  eldoc-mode: t</pre><pre>  electric-indent-mode: t</pr=
e><pre>  mouse-wheel-mode: t</pre><pre>  tool-bar-mode: t</pre><pre>  menu-=
bar-mode: t</pre><pre>  file-name-shadow-mode: t</pre><pre>  global-font-lo=
ck-mode: t</pre><pre>  font-lock-mode: t</pre><pre>  blink-cursor-mode: t</=
pre><pre>  auto-composition-mode: t</pre><pre>  auto-encryption-mode: t</pr=
e><pre>  auto-compression-mode: t</pre><pre>  column-number-mode: t</pre><p=
re>  line-number-mode: t</pre><pre>  transient-mark-mode: t</pre><pre><br><=
/pre><pre>Load-path shadows:</pre><pre>None found.</pre><pre><br></pre><pre=
>Features:</pre><pre>(shadow sort mail-extr emacsbug message rmc puny dired=
 dired-loaddefs</pre><pre>format-spec rfc822 mml mml-sec epa epg gnus-util =
rmail rmail-loaddefs</pre><pre>mm-decode mm-bodies mm-encode mail-parse rfc=
2231 mailabbrev gmm-utils</pre><pre>mailheader sendmail rfc2047 rfc2045 iet=
f-drums mm-util mail-prsvr</pre><pre>mail-utils php-mode advice derived rx =
edmacro kmacro php-project</pre><pre>mode-local find-func imenu speedbar sb=
-image ezimage dframe etags xref</pre><pre>project flymake-proc flymake com=
pile comint ansi-color ring warnings</pre><pre>thingatpt add-log cc-langs c=
c-mode cc-fonts cc-guess cc-menus cc-cmds</pre><pre>cc-styles cc-align cc-e=
ngine cc-vars cc-defs light-blue-theme paren</pre><pre>display-line-numbers=
 elec-pair time cus-start cus-load finder-inf</pre><pre>package easymenu ep=
g-config url-handlers url-parse auth-source cl-seq</pre><pre>eieio eieio-co=
re cl-macs eieio-loaddefs password-cache url-vars seq</pre><pre>byte-opt gv=
 bytecomp byte-compile cconv cl-loaddefs cl-lib time-date</pre><pre>mule-ut=
il tooltip eldoc electric uniquify ediff-hook vc-hooks</pre><pre>lisp-float=
-type mwheel term/x-win x-win term/common-win x-dnd tool-bar</pre><pre>dnd =
fontset image regexp-opt fringe tabulated-list replace newcomment</pre><pre=
>text-mode elisp-mode lisp-mode prog-mode register page menu-bar</pre><pre>=
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock</pre><=
pre>syntax facemenu font-core term/tty-colors frame cl-generic cham georgia=
n</pre><pre>utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korea=
n</pre><pre>japanese eucjp-ms cp51932 hebrew greek romanian slovak czech eu=
ropean</pre><pre>ethiopic indian cyrillic chinese composite charscript char=
prop</pre><pre>case-table epa-hook jka-cmpr-hook help simple abbrev obarray=
 minibuffer</pre><pre>cl-preloaded nadvice loaddefs button faces cus-face m=
acroexp files</pre><pre>text-properties overlay sha1 md5 base64 format env =
code-pages mule</pre><pre>custom widget hashtable-print-readable backquote =
threads dbusbind</pre><pre>inotify lcms2 dynamic-setting system-font-settin=
g font-render-setting</pre><pre>xwidget-internal move-toolbar gtk x-toolkit=
 x multi-tty</pre><pre>make-network-process emacs)</pre><pre><br></pre><pre=
>Memory information:</pre><pre>((conses 16 167620 9490)</pre><pre> (symbols=
 48 27914 1)</pre><pre> (miscs 40 66 106)</pre><pre> (strings 32 49620 2522=
)</pre><pre> (string-bytes 1 1461299)</pre><pre> (vectors 16 23554)</pre><p=
re> (vector-slots 8 605402 9260)</pre><pre> (floats 8 56 61)</pre><pre> (in=
tervals 56 307 0)</pre><pre> (buffers 992 11))</pre></body></html>

--=-7/TYRrVaqcFct9L3i5Xl--





Acknowledgement sent to Phoenix <gnu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36480; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 11 Jul 2019 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.